go-unifi

Generate Vouchers

Create one or more Hotspot vouchers.

POST
/v1/sites/{siteId}/hotspot/vouchers

Create one or more Hotspot vouchers.

X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/hotspot/vouchers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "timeLimitMinutes": 1  }'
{  "vouchers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "name": "hotel-guest",      "code": 4861409510,      "authorizedGuestLimit": 1,      "authorizedGuestCount": 0,      "activatedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "expired": true,      "timeLimitMinutes": 1440,      "dataUsageLimitMBytes": 1024,      "rxRateLimitKbps": 1000,      "txRateLimitKbps": 1000    }  ]}